/*
 Copyright (c) 2009-2010 Alessandro Sivieri <alessandro.sivieri@gmail.com>

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public
 License version 2 as published by the Free Software Foundation.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.

 You should have received a copy of the GNU Library General Public License
 along with this library; see the file COPYING.LIB.  If not, write to
 the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 Boston, MA 02110-1301, USA.
*/

#include "facet.h"

using namespace Nepomuk;

class Facet::Private
{
    public:
        Private()
        {
        }
        ~Private()
        {
        }
        Query::Term queryTerm;
};

Facet::Facet(QObject* parent): QObject(parent), d(new Private())
{   
}

Facet::~Facet()
{
    delete d;
}

void Facet::folderChanged(const QString& folder)
{
    doFolderChanged(folder);
}

void Facet::doFolderChanged(const QString& folder)
{
    Q_UNUSED(folder);
}

void Facet::reload()
{
    doReload();
}

void Facet::doReload()
{
}

Nepomuk::Query::Term Facet::currentQueryTerm() const
{
    return d->queryTerm;
}

bool Facet::currentQueryTermValidation() const
{
    return d->queryTerm.isValid();
}

void Facet::emitQueryTermChanged(const Nepomuk::Query::Term& term)
{
    d->queryTerm = term;
    emit queryTermChanged(d->queryTerm);
}

Nepomuk::Query::Term& Facet::getTerm() const
{
    return d->queryTerm;
}

void Facet::setTerm(const Nepomuk::Query::Term& term)
{
    d->queryTerm = term;
}

#include "facet.moc"
