/*
 Copyright (c) 2010 Alessandro Sivieri <alessandro.sivieri@gmail.com>

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public
 License version 2 as published by the Free Software Foundation.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.

 You should have received a copy of the GNU Library General Public License
 along with this library; see the file COPYING.LIB.  If not, write to
 the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 Boston, MA 02110-1301, USA.
 */

#include "facetviewbuttons.h"

FacetViewButtons::FacetViewButtons(Facet* facet, QString title, QWidget* parent): FacetView(facet, parent), policy(QSizePolicy::Expanding, QSizePolicy::Minimum)
{
    setupUi(this);
    m_facetBox->setTitle(title);
    group = new QButtonGroup(this);
    connect(group, SIGNAL(buttonClicked(QAbstractButton*)), this, SLOT(buttonChanged(QAbstractButton*)));
}

FacetViewButtons::~FacetViewButtons()
{
}

void FacetViewButtons::buttonChanged(QAbstractButton* button)
{
    doButtonChanged(button);
}

void FacetViewButtons::doButtonChanged(QAbstractButton* button)
{
    Q_UNUSED(button);
}

void FacetViewButtons::addButton(QToolButton* button)
{
    button->setSizePolicy(policy);
    button->setCheckable(true);
    button->setAutoRaise(true);
    group->addButton(button);
    m_scrollLayout->addWidget(button, m_scrollLayout->rowCount(), 0);
}

#include "facetviewbuttons.moc"
