/*
 Copyright (c) 2010 Alessandro Sivieri <alessandro.sivieri@gmail.com>

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public
 License version 2 as published by the Free Software Foundation.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.

 You should have received a copy of the GNU Library General Public License
 along with this library; see the file COPYING.LIB.  If not, write to
 the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 Boston, MA 02110-1301, USA.
 */

#ifndef FACETVIEWBUTTONS_H_
#define FACETVIEWBUTTONS_H_

#include <QToolButton>
#include <QSizePolicy>

#include "facetview.h"
#include "ui_facetbuttons.h"

class FacetViewButtons: public FacetView, public Ui_FacetButtons
{
    Q_OBJECT
        
    public:
        FacetViewButtons(Facet* facet, QString title, QWidget* parent = 0);
        virtual ~FacetViewButtons();
        
    public Q_SLOTS:
        void buttonChanged(QAbstractButton* button);
    
    protected:
        virtual void doButtonChanged(QAbstractButton* button);
        void addButton(QToolButton* button);
        
    private:
        QButtonGroup* group;
        QSizePolicy policy;
};

#endif /* FACETVIEWBUTTONS_H_ */
