/*
 Copyright (c) 2010 Alessandro Sivieri <alessandro.sivieri@gmail.com>

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public
 License version 2 as published by the Free Software Foundation.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.

 You should have received a copy of the GNU Library General Public License
 along with this library; see the file COPYING.LIB.  If not, write to
 the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 Boston, MA 02110-1301, USA.
 */

#ifndef FACETVIEWLIST_H_
#define FACETVIEWLIST_H_

#include "facetview.h"
#include "ui_facetlist.h"

class FacetViewList: public FacetView, public Ui_FacetList
{
    Q_OBJECT
        
    public:
        FacetViewList(Facet* facet, QString title, QWidget* parent = 0);
        virtual ~FacetViewList();
    
    public Q_SLOTS:
        void itemChecked(const QString& label);
        void itemUnchecked(const QString& label);
    
    private:
        class Private;
        Private* d;
};

#endif /* FACETVIEWLIST_H_ */
